Subject: Re: [Trans] [trans] #93 (rfc6962-bis): Monitor description: Inconsistency between intro and section 5.4

From: Eran Messeri <[email-masked]>
Date: Wed, 3 Feb 2016 17:21:27 +0000

Risking resurrection of an old thread, I'll point out that when addressing
ticket 141
<https://github.com/google/certificate-transparency-rfcs/pull/117/files>
more text was added about auditing, which should clarify what a monitor can
do if it's interested in auditing.
Ticket 118 <http://trac.tools.ietf.org/wg/trans/trac/ticket/118> seems to
repeat the concern originally raised in ticket 93, but we couldn't come up
with text that would be meaningful and address the concern raised in that
ticket.

On Wed, Jan 6, 2016 at 8:36 PM, Stephen Kent <[email-masked]> wrote:

> Paul,
>
> On Thu, 17 Dec 2015, Stephen Kent wrote:
>>
>> I also agree that the architecture document provides a more in-depth
>>> description of the Monitor function, but it is also at odds with the
>>> description in the -11 draft. So, I disagree with the proposal to
>>> leave the current text in place.
>>>
>>
>> Then please provide improved text (not scaffolding) for the bis document.
>>
>> Paul
>>
> I have done so, via the issue tracker.
>
> Steve
>
>
> _______________________________________________
> Trans mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trans
>

---

From: Stephen Kent <[email-masked]>
Date: Mon, 29 Feb 2016 14:24:11 -0500

Eran,

I would like to see auditing described as a separate function, 
independent of a Monitor.
My recollection (after being on vacation for 3 weeks) was that this 
distinction was
OK in the intro, then muddled in the discussion of the Monitor, which 
was described in
a way that made it an auditor. I provided text to try to fix this. I'm 
not sure if you
are saying that the text I provided does not address the problem, or 
that you and your
co-authors have rejected that text and are unable to generate 
alternative text to address
the concern I cited.

Steve

> Risking resurrection of an old thread, I'll point out that when 
> addressing ticket 141 
> more text was added about auditing, which should clarify what a 
> monitor can do if it's interested in auditing.
> Ticket 118 <http://trac.tools.ietf.org/wg/trans/trac/ticket/118> seems 
> to repeat the concern originally raised in ticket 93, but we couldn't 
> come up with text that would be meaningful and address the concern 
> raised in that ticket.
>
> On Wed, Jan 6, 2016 at 8:36 PM, Stephen Kent <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Paul,
>
>     [email-masked] <mailto:[email-masked]>